/* GOALS

1. create a tool -- let's call it `getTime()` -- that gets the current time using `Date()` and returns the current year, month, day, hour, minute

2. use that tool to store the current time in a global variable called `globalTime`

3. create a tool -- let's call it `drawComposition()` -- that configures our composition based on `globalTime`

4. once the page has loaded, update our page in real time using `setInterval`

*/

// 2. global variable
var globalTime = getTime();

// console.log( 'year', globalTime.year );
// console.log( 'month', globalTime.month );

// wait for everything to load, then execute our script
window.onload = function(){

	// then initiate all of our code
	drawComposition(globalTime);

}


// 3. create a tool -- let's call it `drawComposition()` -- that configures our composition based on `globalTime`
function drawComposition(now) {
	
	// confirm the function is running
	console.log('drawComposition', now);

	// ^^^^^^^^^^^^^^^^^
	// BACKGROUND

	// define an empty variable
	var container;
	var color;

	// Morning: 6-11AM
	// if the hour is greater than 6 && the hour is less than or equal to 11
	if ( now.hour >= 6 && now.hour <= 11 ) {
		console.log('morning!');
		container = document.getElementById('container-morning');
		color = "blue";
	}

	// Noon: 12-4PM
	// if the hour is greater than or equal to 12 && the hour is less than or equal to 16 (i.e., 4PM)
	else if ( now.hour >= 12 && now.hour <= 16 ) {
		console.log('noon!');
		container = document.getElementById('container-afternoon');
		color = "gold";
	}

	// Evening: 5-10PM
	// if the hour is greater than or equal to 5 && the hour is less than or equal to 22 (i.e., 10PM)
	// ... you'll have to fill this in yourself
	else if ( now.hour >= 17 && now.hour <= 22 ) {
		console.log('evening!');
		container = document.getElementById('container-evening');
		color = "navy";
	}

	// Else ...
	// What is the default? What do we see if none of the above is true?
	else {
		console.log('-- default --');
		container = document.getElementById('container-default');
		color = "red";
	}


	// ^^^^^^^^^^^^^^^^^
	// FOREGROUND

	// do some things within the hour between 6–7pm
	if ( now.hour == 18 ) {

		if ( now.minute == 37 ) {
			console.log('it is 6:37pm');
		}
		if ( now.minute == 45 ) {
			console.log('it is 6:45pm');
		}

	}

	// if this drawComposition() function has two parts ... 
		// 1) outline the logic for how things get displayed
		// 2) display them, i.e., act on that logic
	// put all my logic to work
	// this code assumes an HTML element is stored in `container`
	container.style.display = "block";
	container.style.background = color;
	container.style.filter = "blur("+now.hour+"px)";

} // end drawComposition



// 1. create a tool -- let's call it `getTime()` -- that gets the current time using `Date()` and return the current year, month, day, hour, minute and second
function getTime() {
	
	// get absolute most current time and date
	var localTime = new Date();
	
	// make sure we got it
	console.log( localTime );

	// extract time & date info and store it in an object
	var theTime = {
		year : localTime.getFullYear(),
		month : localTime.getMonth(),
		date : localTime.getDate(),
		day : localTime.getDay(),
		hour : localTime.getHours(),
		minute : localTime.getMinutes()
	};

	// make sure it's working
	// console.log( theTime );
	
	// return our time object
	return theTime;

} // end getTime()











